use std::{env, fs::File, process::Command};

fn main() -> anyhow::Result<()> {
    let mut arg_iter = env::args().peekable();
    arg_iter.next();

    if arg_iter.peek().map_or(false, |arg| arg == "gg") {
        let _ = arg_iter.next();
    }

    let args: Vec<_> = arg_iter.collect();

    let mut cmd = Command::new("cargo");
    cmd.args(args);

    let status = cmd.status()?;
    let code = status.code().unwrap_or(1);

    let path = env::temp_dir().join(".gg-failed");

    if code == 0 {
        if std::fs::exists(&path)? {
            println!("Good girl!");

            let _ = std::fs::remove_file(path);
        }
    } else {
        let _ = File::create(env::temp_dir().join(".gg-failed"));
    }

    Ok(())
}
